WoodWing Help Center

Compatibility of databases with Enterprise Server

Compatibility of databases with Enterprise Server

This article lists the compatibility of databases with Enterprise Server.

When the database and the Application Server run on different machines, Enterprise does not add extra restrictions to the operating system that runs the database. When both are running in the same box the choice of the operating system is limited, as specified for the Application Server.

Aside from the above, the following limitations exist:

  • To connect to Microsoft SQL Server, the Application Server must run on a Windows Server as well. This is because the database driver for Microsoft SQL Server is not maintained for Mac OS X and Linux.
  • There is no Oracle 11 or 12 for Mac OS X.

Microsoft SQL

Enterprise Server version
Database version 9.0.x – 9.4.x 9.5.x – 9.8.x 10.x
Microsoft SQL Server 2008 - - -
Microsoft SQL Server 2008 R2 Yes - -
Microsoft SQL Server 2012 Yes R Yes Yes
Microsoft SQL Server 2014 - Yes R Yes R
Microsoft SQL Server 2016 - - Yes1

Legend: Yes = combination is supported. Yes R = recommended combination. - = combination of old and new software versions is not supported.

1 This was tested with Enterprise Server 10.1.2 but is expected to be valid for any version of Enterprise Server 10.0 and 10.1.

MySQL

Enterprise Server version
Database version 9.0.x – 9.4.x 9.5.x – 9.8.x 10.x
MySQL 5.1 - - -
MySQL 5.5 Yes R Yes 1 -
MySQL 5.6 - Yes R, 1 Yes
MySQL 5.7 - - Yes R

Legend: Yes = combination is supported. Yes R = recommended combination. - = combination of old and new software versions is not supported.

1 Note that compared to MySQL 5.5, the performance of MySQL 5.6 has much improved.

Oracle

Enterprise Server version
Database version 9.0.x – 9.4.x 9.5.x – 9.8.x 10.x
Oracle 11 1, 2 Yes R Yes R Yes R
Oracle 12.1 1, 2 - Yes Yes

Legend: Yes = combination is supported. Yes R = recommended combination. - = combination of old and new software versions is not supported.

1 Supported Editions: Enterprise, Standard, and Standard One. Not supported Edition: Express.

2 Oracle is no longer supported on Mac OS X.

Document history

  • 14 April 2017: Added Microsoft SQL Server 2016.
Was this article helpful?
0 out of 0 found this helpful / Created: / Updated:
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.